/**
 * @author Brace Stout
 * 
 * This software is copyright 2006, 2007 by StoutWare Engineering
 * All rights are retained.
 * 
 * This is example code only.  No representation is made
 * regarding utility, correctness, merchantability, or
 * fitness for a particular purpose.
 *
 * You have permission to use this software and to make
 * derivative products.  In all cases, you must retain
 * this notice in derivative products as well as credit
 * the source(s).
 * 
 * You may not use this software or any derivative of this
 * software in a commercial product without the express
 * written consent of StoutWare Engineering.
 * 
 * You may not use this software or any derivative of this software
 * in any application where failure of this software to perform as
 * intended would jeopardize the safety of any individual or property.
 * 
 * StoutWare Engineering will in no way be responsible for
 * any damages whatsoever arising out of your use of this
 * or any derivation of this product.
 **/

/*
 * _TestSerial transmits bytes on a serial interface.  This
 * is used primarily for testing purposes.
 */

package motor;

import javax.comm.CommPortIdentifier;
import javax.comm.SerialPort;

public class _TestSerial {

    private static final int BAUDRATE = 2400;
    private static final int DATABITS = SerialPort.DATABITS_8;
    private static final int STOPBITS = SerialPort.STOPBITS_2;
    private static final int PARITY = SerialPort.PARITY_NONE;
    private static final String COMPORT = "COM4";  // change as needed
    
    /**
     * @param args
     */
    public static void main(String[] args) {

        try {
            
            CommPortIdentifier portId = CommPortIdentifier.getPortIdentifier( COMPORT );
            SerialPort port = (SerialPort) portId.open( "LoCoMoCo Test", 1000 );
            port.setSerialPortParams( BAUDRATE, DATABITS, STOPBITS, PARITY );

            int command = 0;
            
            while (true) {

                int left = ( command << 4 ) | 0x0F;
                int right = ( command << 4 ) | 0x0F;
                System.out.printf( "Sending command: 0x02.2X(L) 0x02.2X(R) \n", left, right );
                
                port.getOutputStream().write( 0x01 ); // synchronize the data stream

                port.getOutputStream().write( left );
                port.getOutputStream().write( right );
                Thread.sleep( 1000 );

            }

        } catch (Throwable t) {
        }

        System.out.println("Normal program termination. ");

    }

}
